#
# @file
# @brief RPM specification for building the Netsweeper Squid URL Redirector
#
# This file contains the commands necessary for rpmbuild to make the source
# code into an executable, and then install that executable.
#
# Netsweeper Squid URL Redirector
# This application is designed to work with the Netsweeper Internet Content
# Filtering System.
#
# Copyright 2010 Netsweeper Inc. All Rights Reserved.
# Netsweeper, Netsweeper Inc. is either a copyrighted or registered trademark
# of Netsweeper Inc.
#

Name: ns_redirector
Summary: Netsweeper Redirector
Version: %(echo $VERSION)
Release: 1%{?dist}
Group: Netsweeper
License: OPEN
Prefix: /usr/local/netsweeper/bin
Source: ns_redirector-%{version}.tar.bz2
URL: http://www.netsweeper.com/
BuildRoot: %{_tmppath}/%{name}-%{version}
PreReq: ns_configure_squid
Packager: Netsweeper Inc.


%description
The Netsweeper Redirector is used to integrate the Netsweeper Policy Server with Squid Web Proxy

%prep
%setup

%build
make VERSION=%{version}

%install
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(0,root,root)
%attr(755, root, root) /usr/local/netsweeper/bin/redir

%changelog
* Thu Dec 16 2010 - Netsweeper Inc
- Initial release version 3 redir
