/**
 * @file
 * @brief The request processing header file
 *
 *
 * Netsweeper Squid URL Redirector
 * This application is designed to work with the Netsweeper Internet Content Filtering System.
 *
 * Copyright 2010 Netsweeper Inc. All Rights Reserved.
 * Netsweeper, Netsweeper Inc. is either a copyrighted or registered trademark of Netsweeper Inc.
 */
#ifndef _REQUEST_H
#define _REQUEST_H
extern volatile int redir_should_exit;

Request * redir_get_request(GlobalConf *conf);
void redir_free_request(Request *request);
void redir_do_write_reply(Request *request, char *reply, GlobalConf *conf);
void redir_write_reply(Request *request, char *reply, GlobalConf *conf);
void redir_write_reply_failed(Request *request, GlobalConf *conf);

#endif
